/*
* Copyright (c) 2005-2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/


#include <e32std.h>
#include <e32std_private.h>

EXPORT_C void operator delete(TAny *aPtr) __NO_THROW
//
// The replacement delete operator.
//
	{

	User::Free(aPtr);
	}

EXPORT_C void operator delete[](TAny * aPtr) __NO_THROW
    {

    User::Free(aPtr);
    }

EXPORT_C void operator delete(TAny *aPtr, const std::nothrow_t& aNoThrow) __NO_THROW
//
// The replacement delete operator.
//
	{
	(void)aNoThrow;
	User::Free(aPtr);
	}

EXPORT_C void operator delete[](TAny * aPtr, const std::nothrow_t& aNoThrow) __NO_THROW
	{
	(void)aNoThrow;
	User::Free(aPtr);
	}
